array.hpp File Reference
`#include "msgpack/versioning.hpp"`
`#include "msgpack/adaptor/adaptor_base.hpp"`
`#include "msgpack/adaptor/check_container_size.hpp"`
`#include "msgpack/meta.hpp"`
`#include <array>`

Go to the source code of this file.

## Classes

struct | msgpack::adaptor::detail::array::as_impl< T, N >
struct | msgpack::adaptor::detail::array::as_impl< T, 1 >
struct | msgpack::adaptor::detail::array::as_impl< T, 0 >
struct | msgpack::adaptor::as< std::array< T, N >, typename std::enable_if< msgpack::has_as< T >::value >::type >
struct | msgpack::adaptor::convert< std::array< T, N > >
struct | msgpack::adaptor::pack< std::array< T, N > >
struct | msgpack::adaptor::object_with_zone< std::array< T, N > >

## Namespaces

| msgpack
| msgpack::adaptor
| msgpack::adaptor::detail
| msgpack::adaptor::detail::array

## Functions

template<typename T , std::size_t N1, std::size_t... I1, std::size_t N2, std::size_t... I2>
std::array< T, N1+N2 > | msgpack::adaptor::detail::array::concat (std::array< T, N1 > &&a1, std::array< T, N2 > &&a2, msgpack::seq< I1... >, msgpack::seq< I2... >)
template<typename T , std::size_t N1, std::size_t N2>
std::array< T, N1+N2 > | msgpack::adaptor::detail::array::concat (std::array< T, N1 > &&a1, std::array< T, N2 > &&a2)